settings
combat difficulty:
limit frames per second:
randomization seed:
hide images:
include community maps:
banned levels:
classic n-gon:
controls
To change controls click a box
and press an unused key.

FIRE | F | MouseLeft |
FIELD | SPACE | MouseRight
JUMP | W | ArrowUp
CROUCH | S | ArrowDown
LEFT | A | ArrowLeft
RIGHT | D | ArrowRight
GUN → | Q | MouseWheel
GUN ← | E | MouseWheel
GUN # | Num
PAUSE | P |
TESTING | T |

to default keys
updates
about
Chat about n-gon in the discord.
Let me know about ideas, or bugs.
Github hosts n-gon's source code.
It's written in JavaScript, CSS, and HTML and uses the matter.js 2-D physics library. Images are generated mostly through midJourney.